System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Linq.Expressions.IArgumentProvider System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/InvocationExpressionProxy))

Use the factory methods to create an .

The of an is .

Represents an expression that applies a delegate or lambda expression to a list of argument expressions.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  3.5.0.0
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> To be added. To be added.

  Gets the arguments that the delegate or lambda expression is applied to.

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the delegate or lambda expression to be applied.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this expression. Extension nodes should return when overriding this method.

- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.InvocationExpression `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result.